using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data.OleDb;	// Tilfjet

namespace WindowsApplication
{
	/// <summary>
	/// Summary description for Bookingform.
	/// </summary>
	public class Bookingform : System.Windows.Forms.Form
	{
		private OleDbConnection con;
		private OleDbCommand cmd;

		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label lblFradato;
		private System.Windows.Forms.Label lblTildato;
		private System.Windows.Forms.GroupBox grpType;
		private System.Windows.Forms.RadioButton optEnkelt;
		private System.Windows.Forms.RadioButton optDobbelt;
		private System.Windows.Forms.RadioButton optBegge;
		private System.Windows.Forms.GroupBox grpRyger;
		private System.Windows.Forms.RadioButton optRygerBegge;
		private System.Windows.Forms.RadioButton optRyger;
		private System.Windows.Forms.RadioButton optIkkeRyger;
		private System.Windows.Forms.GroupBox grpHandicap;
		private System.Windows.Forms.RadioButton optHandicapBegge;
		private System.Windows.Forms.RadioButton optHandicap;
		private System.Windows.Forms.RadioButton optEjHandicap;
		private System.Windows.Forms.Button btnVisLedige;
		private System.Windows.Forms.ListBox lstLedigeVrelser;
		private System.Windows.Forms.Button btnOpretGst;
		private System.Windows.Forms.Button btnBook;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtTlfnr;
		private System.Windows.Forms.Label lblGsteNavn;
		private System.Windows.Forms.Button btnFindGst;
		private System.Windows.Forms.Button btnLuk;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private Startform ejer;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox txtPris;
		private System.Windows.Forms.Label lblBesked;
		private System.Windows.Forms.TextBox txtFraDD;
		private System.Windows.Forms.TextBox txtTilDD;
		private System.Windows.Forms.TextBox txtFraMM;
		private System.Windows.Forms.TextBox txtFraYY;
		private System.Windows.Forms.TextBox txtTilMM;
		private System.Windows.Forms.TextBox txtTilYY;
		private Gsteform nytVindueG;
		private int antDage;
		private string fejlTekst;
		private int aktGstID;

		public Bookingform(Startform ejer)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			this.ejer = ejer;
			nytVindueG = new Gsteform();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.lblFradato = new System.Windows.Forms.Label();
			this.lblTildato = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.txtFraDD = new System.Windows.Forms.TextBox();
			this.txtTilDD = new System.Windows.Forms.TextBox();
			this.grpType = new System.Windows.Forms.GroupBox();
			this.optBegge = new System.Windows.Forms.RadioButton();
			this.optDobbelt = new System.Windows.Forms.RadioButton();
			this.optEnkelt = new System.Windows.Forms.RadioButton();
			this.grpRyger = new System.Windows.Forms.GroupBox();
			this.optRygerBegge = new System.Windows.Forms.RadioButton();
			this.optRyger = new System.Windows.Forms.RadioButton();
			this.optIkkeRyger = new System.Windows.Forms.RadioButton();
			this.grpHandicap = new System.Windows.Forms.GroupBox();
			this.optHandicapBegge = new System.Windows.Forms.RadioButton();
			this.optHandicap = new System.Windows.Forms.RadioButton();
			this.optEjHandicap = new System.Windows.Forms.RadioButton();
			this.btnVisLedige = new System.Windows.Forms.Button();
			this.lstLedigeVrelser = new System.Windows.Forms.ListBox();
			this.btnOpretGst = new System.Windows.Forms.Button();
			this.btnBook = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.txtTlfnr = new System.Windows.Forms.TextBox();
			this.lblGsteNavn = new System.Windows.Forms.Label();
			this.btnFindGst = new System.Windows.Forms.Button();
			this.btnLuk = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.txtPris = new System.Windows.Forms.TextBox();
			this.lblBesked = new System.Windows.Forms.Label();
			this.txtFraMM = new System.Windows.Forms.TextBox();
			this.txtFraYY = new System.Windows.Forms.TextBox();
			this.txtTilMM = new System.Windows.Forms.TextBox();
			this.txtTilYY = new System.Windows.Forms.TextBox();
			this.grpType.SuspendLayout();
			this.grpRyger.SuspendLayout();
			this.grpHandicap.SuspendLayout();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.TabIndex = 0;
			this.label1.Text = "Booking-periode :";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblFradato
			// 
			this.lblFradato.Location = new System.Drawing.Point(136, 16);
			this.lblFradato.Name = "lblFradato";
			this.lblFradato.Size = new System.Drawing.Size(56, 23);
			this.lblFradato.TabIndex = 1;
			this.lblFradato.Text = "Fra-dato";
			this.lblFradato.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblTildato
			// 
			this.lblTildato.Location = new System.Drawing.Point(280, 16);
			this.lblTildato.Name = "lblTildato";
			this.lblTildato.Size = new System.Drawing.Size(48, 23);
			this.lblTildato.TabIndex = 2;
			this.lblTildato.Text = "Til-dato";
			this.lblTildato.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 80);
			this.label4.Name = "label4";
			this.label4.TabIndex = 3;
			this.label4.Text = "Vrelses-nsker :";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtFraDD
			// 
			this.txtFraDD.Location = new System.Drawing.Point(136, 48);
			this.txtFraDD.Name = "txtFraDD";
			this.txtFraDD.Size = new System.Drawing.Size(24, 20);
			this.txtFraDD.TabIndex = 4;
			this.txtFraDD.Text = "";
			// 
			// txtTilDD
			// 
			this.txtTilDD.Location = new System.Drawing.Point(280, 48);
			this.txtTilDD.Name = "txtTilDD";
			this.txtTilDD.Size = new System.Drawing.Size(24, 20);
			this.txtTilDD.TabIndex = 10;
			this.txtTilDD.Text = "";
			// 
			// grpType
			// 
			this.grpType.Controls.Add(this.optBegge);
			this.grpType.Controls.Add(this.optDobbelt);
			this.grpType.Controls.Add(this.optEnkelt);
			this.grpType.Location = new System.Drawing.Point(16, 112);
			this.grpType.Name = "grpType";
			this.grpType.Size = new System.Drawing.Size(96, 100);
			this.grpType.TabIndex = 20;
			this.grpType.TabStop = false;
			this.grpType.Text = "Vrelsestype";
			// 
			// optBegge
			// 
			this.optBegge.Checked = true;
			this.optBegge.Location = new System.Drawing.Point(8, 64);
			this.optBegge.Name = "optBegge";
			this.optBegge.Size = new System.Drawing.Size(80, 24);
			this.optBegge.TabIndex = 2;
			this.optBegge.TabStop = true;
			this.optBegge.Text = "Begge";
			// 
			// optDobbelt
			// 
			this.optDobbelt.Location = new System.Drawing.Point(8, 40);
			this.optDobbelt.Name = "optDobbelt";
			this.optDobbelt.Size = new System.Drawing.Size(80, 24);
			this.optDobbelt.TabIndex = 1;
			this.optDobbelt.Text = "Dobbelt";
			// 
			// optEnkelt
			// 
			this.optEnkelt.Location = new System.Drawing.Point(8, 16);
			this.optEnkelt.Name = "optEnkelt";
			this.optEnkelt.Size = new System.Drawing.Size(80, 24);
			this.optEnkelt.TabIndex = 0;
			this.optEnkelt.Text = "Enkelt";
			// 
			// grpRyger
			// 
			this.grpRyger.Controls.Add(this.optRygerBegge);
			this.grpRyger.Controls.Add(this.optRyger);
			this.grpRyger.Controls.Add(this.optIkkeRyger);
			this.grpRyger.Location = new System.Drawing.Point(136, 112);
			this.grpRyger.Name = "grpRyger";
			this.grpRyger.Size = new System.Drawing.Size(96, 100);
			this.grpRyger.TabIndex = 21;
			this.grpRyger.TabStop = false;
			this.grpRyger.Text = "Ryger / ikke";
			// 
			// optRygerBegge
			// 
			this.optRygerBegge.Checked = true;
			this.optRygerBegge.Location = new System.Drawing.Point(8, 64);
			this.optRygerBegge.Name = "optRygerBegge";
			this.optRygerBegge.Size = new System.Drawing.Size(80, 24);
			this.optRygerBegge.TabIndex = 2;
			this.optRygerBegge.TabStop = true;
			this.optRygerBegge.Text = "Begge";
			// 
			// optRyger
			// 
			this.optRyger.Location = new System.Drawing.Point(8, 40);
			this.optRyger.Name = "optRyger";
			this.optRyger.Size = new System.Drawing.Size(80, 24);
			this.optRyger.TabIndex = 1;
			this.optRyger.Text = "Ryger";
			// 
			// optIkkeRyger
			// 
			this.optIkkeRyger.Location = new System.Drawing.Point(8, 16);
			this.optIkkeRyger.Name = "optIkkeRyger";
			this.optIkkeRyger.Size = new System.Drawing.Size(80, 24);
			this.optIkkeRyger.TabIndex = 0;
			this.optIkkeRyger.Text = "Ikke-ryger";
			// 
			// grpHandicap
			// 
			this.grpHandicap.Controls.Add(this.optHandicapBegge);
			this.grpHandicap.Controls.Add(this.optHandicap);
			this.grpHandicap.Controls.Add(this.optEjHandicap);
			this.grpHandicap.Location = new System.Drawing.Point(256, 112);
			this.grpHandicap.Name = "grpHandicap";
			this.grpHandicap.Size = new System.Drawing.Size(104, 100);
			this.grpHandicap.TabIndex = 22;
			this.grpHandicap.TabStop = false;
			this.grpHandicap.Text = "Handicap / ej";
			// 
			// optHandicapBegge
			// 
			this.optHandicapBegge.Checked = true;
			this.optHandicapBegge.Location = new System.Drawing.Point(8, 64);
			this.optHandicapBegge.Name = "optHandicapBegge";
			this.optHandicapBegge.Size = new System.Drawing.Size(88, 24);
			this.optHandicapBegge.TabIndex = 2;
			this.optHandicapBegge.TabStop = true;
			this.optHandicapBegge.Text = "Begge";
			// 
			// optHandicap
			// 
			this.optHandicap.Location = new System.Drawing.Point(8, 40);
			this.optHandicap.Name = "optHandicap";
			this.optHandicap.Size = new System.Drawing.Size(88, 24);
			this.optHandicap.TabIndex = 1;
			this.optHandicap.Text = "Handicap";
			// 
			// optEjHandicap
			// 
			this.optEjHandicap.Location = new System.Drawing.Point(8, 16);
			this.optEjHandicap.Name = "optEjHandicap";
			this.optEjHandicap.Size = new System.Drawing.Size(88, 24);
			this.optEjHandicap.TabIndex = 0;
			this.optEjHandicap.Text = "Ej handicap";
			// 
			// btnVisLedige
			// 
			this.btnVisLedige.Location = new System.Drawing.Point(448, 80);
			this.btnVisLedige.Name = "btnVisLedige";
			this.btnVisLedige.Size = new System.Drawing.Size(112, 23);
			this.btnVisLedige.TabIndex = 25;
			this.btnVisLedige.Text = "Vis ledige vrelser";
			this.btnVisLedige.Click += new System.EventHandler(this.btnVisLedige_Click);
			// 
			// lstLedigeVrelser
			// 
			this.lstLedigeVrelser.Location = new System.Drawing.Point(376, 120);
			this.lstLedigeVrelser.Name = "lstLedigeVrelser";
			this.lstLedigeVrelser.Size = new System.Drawing.Size(264, 95);
			this.lstLedigeVrelser.TabIndex = 28;
			// 
			// btnOpretGst
			// 
			this.btnOpretGst.Location = new System.Drawing.Point(304, 272);
			this.btnOpretGst.Name = "btnOpretGst";
			this.btnOpretGst.Size = new System.Drawing.Size(88, 23);
			this.btnOpretGst.TabIndex = 41;
			this.btnOpretGst.Text = "Opret ny gst";
			this.btnOpretGst.Click += new System.EventHandler(this.btnOpretGst_Click);
			// 
			// btnBook
			// 
			this.btnBook.Location = new System.Drawing.Point(448, 272);
			this.btnBook.Name = "btnBook";
			this.btnBook.Size = new System.Drawing.Size(120, 23);
			this.btnBook.TabIndex = 42;
			this.btnBook.Text = "Gennemfr booking";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(16, 232);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(96, 23);
			this.label2.TabIndex = 13;
			this.label2.Text = "Gste-telefonnr. :";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtTlfnr
			// 
			this.txtTlfnr.Location = new System.Drawing.Point(120, 232);
			this.txtTlfnr.Name = "txtTlfnr";
			this.txtTlfnr.TabIndex = 30;
			this.txtTlfnr.Text = "";
			// 
			// lblGsteNavn
			// 
			this.lblGsteNavn.Location = new System.Drawing.Point(232, 232);
			this.lblGsteNavn.Name = "lblGsteNavn";
			this.lblGsteNavn.Size = new System.Drawing.Size(296, 23);
			this.lblGsteNavn.TabIndex = 31;
			this.lblGsteNavn.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// btnFindGst
			// 
			this.btnFindGst.Location = new System.Drawing.Point(112, 272);
			this.btnFindGst.Name = "btnFindGst";
			this.btnFindGst.Size = new System.Drawing.Size(112, 23);
			this.btnFindGst.TabIndex = 40;
			this.btnFindGst.Text = "Find gst via tlfnr.";
			this.btnFindGst.Click += new System.EventHandler(this.btnFindGst_Click);
			// 
			// btnLuk
			// 
			this.btnLuk.Location = new System.Drawing.Point(224, 384);
			this.btnLuk.Name = "btnLuk";
			this.btnLuk.TabIndex = 52;
			this.btnLuk.Text = "Luk vindue";
			this.btnLuk.Click += new System.EventHandler(this.btnLuk_Click);
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(352, 352);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(72, 23);
			this.label3.TabIndex = 53;
			this.label3.Text = "Samlet pris :";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtPris
			// 
			this.txtPris.Location = new System.Drawing.Point(432, 352);
			this.txtPris.Name = "txtPris";
			this.txtPris.ReadOnly = true;
			this.txtPris.Size = new System.Drawing.Size(64, 20);
			this.txtPris.TabIndex = 54;
			this.txtPris.Text = "";
			// 
			// lblBesked
			// 
			this.lblBesked.Location = new System.Drawing.Point(368, 312);
			this.lblBesked.Name = "lblBesked";
			this.lblBesked.Size = new System.Drawing.Size(264, 23);
			this.lblBesked.TabIndex = 43;
			this.lblBesked.Text = "lblBesked";
			this.lblBesked.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtFraMM
			// 
			this.txtFraMM.Location = new System.Drawing.Point(168, 48);
			this.txtFraMM.Name = "txtFraMM";
			this.txtFraMM.Size = new System.Drawing.Size(24, 20);
			this.txtFraMM.TabIndex = 5;
			this.txtFraMM.Text = "";
			// 
			// txtFraYY
			// 
			this.txtFraYY.Location = new System.Drawing.Point(200, 48);
			this.txtFraYY.Name = "txtFraYY";
			this.txtFraYY.Size = new System.Drawing.Size(48, 20);
			this.txtFraYY.TabIndex = 6;
			this.txtFraYY.Text = "";
			// 
			// txtTilMM
			// 
			this.txtTilMM.Location = new System.Drawing.Point(312, 48);
			this.txtTilMM.Name = "txtTilMM";
			this.txtTilMM.Size = new System.Drawing.Size(24, 20);
			this.txtTilMM.TabIndex = 11;
			this.txtTilMM.Text = "";
			// 
			// txtTilYY
			// 
			this.txtTilYY.Location = new System.Drawing.Point(344, 48);
			this.txtTilYY.Name = "txtTilYY";
			this.txtTilYY.Size = new System.Drawing.Size(48, 20);
			this.txtTilYY.TabIndex = 12;
			this.txtTilYY.Text = "";
			// 
			// Bookingform
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(648, 414);
			this.Controls.Add(this.txtTilYY);
			this.Controls.Add(this.txtTilMM);
			this.Controls.Add(this.txtFraYY);
			this.Controls.Add(this.txtFraMM);
			this.Controls.Add(this.lblBesked);
			this.Controls.Add(this.txtPris);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.btnLuk);
			this.Controls.Add(this.btnFindGst);
			this.Controls.Add(this.lblGsteNavn);
			this.Controls.Add(this.txtTlfnr);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.btnBook);
			this.Controls.Add(this.btnOpretGst);
			this.Controls.Add(this.lstLedigeVrelser);
			this.Controls.Add(this.btnVisLedige);
			this.Controls.Add(this.grpHandicap);
			this.Controls.Add(this.grpRyger);
			this.Controls.Add(this.grpType);
			this.Controls.Add(this.txtTilDD);
			this.Controls.Add(this.txtFraDD);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.lblTildato);
			this.Controls.Add(this.lblFradato);
			this.Controls.Add(this.label1);
			this.Name = "Bookingform";
			this.Text = "Booking-billede";
			this.Load += new System.EventHandler(this.Bookingform_Load);
			this.grpType.ResumeLayout(false);
			this.grpRyger.ResumeLayout(false);
			this.grpHandicap.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void btnLuk_Click(object sender, System.EventArgs e)
		{
			Hide();
		}

		private void btnOpretGst_Click(object sender, System.EventArgs e)
		{
			nytVindueG.Show();
		}

		private void Bookingform_Load(object sender, System.EventArgs e)
		{
			string connectionStr;

			connectionStr = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Hotelbooking.mdb";

			// Skab forbindelses-objekt udfra connectionStr
			con = new OleDbConnection(connectionStr);
			
			// Skab kommando-objekt og tilknyt til forbindelses-objekt
			cmd = new OleDbCommand();
			cmd.Connection = con;
		}

		private void btnFindGst_Click(object sender, System.EventArgs e)
		{
			OleDbDataReader datareader;

			cmd.CommandText = "SELECT * FROM Gst WHERE Telefonnr = (?)";

			cmd.Parameters.Clear();
			cmd.Parameters.Add("@tlfnr", OleDbType.Integer).Value = Convert.ToInt32(txtTlfnr.Text);
			
			con.Open();             // ben forbindelsen til databasen
			datareader = cmd.ExecuteReader();
			
			lblGsteNavn.Text = "";
			
			// check resultat af SQL
			if (datareader.Read() == true)
			{
				aktGstID = Convert.ToInt32(datareader["GstID"]);
				lblGsteNavn.Text += Convert.ToString(datareader["GstID"]) + ", ";
				lblGsteNavn.Text += datareader["Navn"] + ", ";
				lblGsteNavn.Text += datareader["Firma"] + ", ";
				lblGsteNavn.Text += datareader["Telefonnr"];
			}
			else
				lblGsteNavn.Text = "Gst kunne ikke findes - prv igen eller opret !";

			con.Close();             // Luk forbindelsen
		}

		private void btnVisLedige_Click(object sender, System.EventArgs e)
		{
			lblBesked.Text = "";
			bool datoValid = validerDatoer();
			if (!datoValid)
				lblBesked.Text = fejlTekst;
			else
				findLedigeVrelser();
		}

		private void findLedigeVrelser()
		{
			OleDbDataReader datareader;

			cmd.CommandText = "SELECT * FROM Vrelse " +
							  "WHERE	Type IN (1,2) " + 
							  "AND		Ryger IN (0,1) " +
							  "AND		Handicap IN (0,1) " +
							  "AND NOT EXISTS " +
						"(SELECT * FROM BookingDag " +
						"WHERE Vrelse.Vrelsesnr = BookingDag.Vrelsesnr " +
						"AND Dato >= #10/9/2004# " +
						"AND Dato <= #10/12/2004#) " +
						"ORDER BY Vrelse.Vrelsesnr";

//			cmd.Parameters.Clear();
//			cmd.Parameters.Add("@type", OleDbType.VarChar).Value = "1,2";
			
			con.Open();             // ben forbindelsen til databasen
			datareader = cmd.ExecuteReader();
			
			// check resultat af SQL
			
			int antVrelser = 0;
			while (datareader.Read() == true)
			{
				antVrelser += 1;
				string tekst = "";
				tekst += "Vrelse " + datareader["Vrelsesnr"] + ", ";
				tekst += datareader["Type"] + ", ";
				tekst += datareader["Ryger"] + ", ";
				tekst += datareader["Handicap"];
				lstLedigeVrelser.Items.Add(tekst);
			}
			if (antVrelser == 0)
				lstLedigeVrelser.Items.Add("Ikke flere vrelser der opfylder de angivne kriterier");
			
			con.Close();             // Luk forbindelsen
		}

		private bool validerDatoer()
		{
			int fraDag		= int.Parse(txtFraDD.Text);
			int fraMned	= int.Parse(txtFraMM.Text);
			int frar		= int.Parse(txtFraYY.Text);
			Dato fraDato = new Dato (fraDag, fraMned, frar);

			int tilDag		= int.Parse(txtTilDD.Text);
			int tilMned	= int.Parse(txtTilMM.Text);
			int tilr		= int.Parse(txtTilYY.Text);
			Dato tilDato = new Dato (tilDag, tilMned, tilr);

			if (fraDato.datoValider() != true) 
			{
				fejlTekst = "Fra dato er ikke gyldig";
				return false;}
			if (tilDato.datoValider() != true) 
			{
				fejlTekst = "Til dato er ikke gyldig";
				return false;}

			if (frar > tilr)
			{
				fejlTekst = "Fra r skal vre mindre end Til r";
				return false;
			}
			else
				if (frar < tilr - 1)
			{
				fejlTekst = "Fra r m kun vre n mindre end Til r";
				return false;
			}
			else
				if (frar == tilr)
					antDage = tilDato.Dagnummer() - fraDato.Dagnummer();
				else //frar = tilr - 1
					antDage = fraDato.restdageIr() + tilDato.Dagnummer() - 1;
			
			if (antDage < 1)
			{
				fejlTekst = "Der kan ikke bookes mindre end n dag";
				return false;
			}
			// s skulle alt vre iorden, og antal dage beregnet
			return true;
		}

	}
}
